For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://developer.shipbob.com/api/orders/llms.txt. For full documentation content, see https://developer.shipbob.com/api/orders/llms-full.txt.

# Cancel Order

POST https://api.shipbob.com/2026-01/order/{orderId}:cancel

Cancels an order and all associated shipments. The order must be in a cancellable state to proceed with the cancellation.

Reference: https://developer.shipbob.com/api/orders/cancel-order

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: api-2026-01
  version: 1.0.0
paths:
  /2026-01/order/{orderId}:cancel:
    post:
      operationId: cancel-order
      summary: Cancel Order
      description: >-
        Cancels an order and all associated shipments. The order must be in a
        cancellable state to proceed with the cancellation.
      tags:
        - subpackage_orders
      parameters:
        - name: orderId
          in: path
          description: The order ID to cancel
          required: true
          schema:
            type: string
            format: int32
        - name: Authorization
          in: header
          description: Authentication using Personal Access Token (PAT) token or OAuth2
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Orders.CanceledOrderViewModel'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Orders.Post.Api.Order.OrderId.Cancel.Bad.Request.Object
        '401':
          description: No access right at this time
          content:
            application/json:
              schema:
                description: Any type
        '403':
          description: No access
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                description: Any type
        '422':
          description: Client Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Orders.Post.Api.Order.OrderId.Cancel.Unprocessable.Entity.Object
        '500':
          description: Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Orders.Post.Api.Order.OrderId.Cancel.Internal.Server.Error.Object
servers:
  - url: https://api.shipbob.com
  - url: https://sandbox-api.shipbob.com
components:
  schemas:
    Orders.ShipmentAction:
      type: string
      enum:
        - CleanSweep
        - Reassign
        - ReleaseOrderHold
        - MoveToOnHoldAndKeepInventory
        - MoveToOnHoldAndReleaseInventory
        - Cancel
        - AddLineItem
        - RemoveLineItem
        - UpdateShipOption
      title: Orders.ShipmentAction
    Orders.CanceledShipmentViewModel:
      type: object
      properties:
        action:
          $ref: '#/components/schemas/Orders.ShipmentAction'
        is_success:
          type: boolean
          description: If the cancel action was successful
        reason:
          type:
            - string
            - 'null'
          description: The reason the cancellation result
        shipment_id:
          type: integer
          format: int64
          description: The ID of the shipment
      title: Orders.CanceledShipmentViewModel
    Orders.ChannelInfoViewModel:
      type: object
      properties:
        id:
          type: integer
          description: Unique id of the channel
        name:
          type:
            - string
            - 'null'
          description: Name of the channel
      description: Created by channel metadata
      title: Orders.ChannelInfoViewModel
    Orders.Financials:
      type: object
      properties:
        total_price:
          type:
            - number
            - 'null'
          format: double
          description: Sum of all line item prices, discounts, and taxes in USD
      title: Orders.Financials
    Orders.ProductInfoViewModel:
      type: object
      properties:
        external_line_id:
          type:
            - integer
            - 'null'
          description: >-
            Numeric assignment per item. Used as a reference number for multiple
            purposes such as split orders, split containers, etc.
        gtin:
          type:
            - string
            - 'null'
          description: >-
            Global Trade Item Number - unique and internationally recognized
            identifier assigned to item by company GS1
        id:
          type:
            - integer
            - 'null'
          description: Unique id of the product
        quantity:
          type: integer
          description: The quantity of this product ordered
        quantity_unit_of_measure_code:
          type:
            - string
            - 'null'
          description: >-
            Defined standard for measure for an item (each, inner pack, case,
            pallet).  Values: EA, INP, CS and PL
        reference_id:
          type:
            - string
            - 'null'
          description: Unique reference id of the product
        sku:
          type:
            - string
            - 'null'
          description: Stock keeping unit for the product
        unit_price:
          type:
            - number
            - 'null'
          format: double
          description: Price for one item
        upc:
          type:
            - string
            - 'null'
          description: Universal Product Code - Unique external identifier
      title: Orders.ProductInfoViewModel
    Orders.AddressViewModel:
      type: object
      properties:
        address1:
          type: string
          description: First line of the address
        address2:
          type:
            - string
            - 'null'
          description: Second line of the address
        city:
          type: string
          description: The city
        company_name:
          type:
            - string
            - 'null'
          description: Name of the company receiving the shipment
        country:
          type: string
          description: The country (Must be ISO Alpha-2 for estimates)
        state:
          type:
            - string
            - 'null'
          description: The state or province
        zip_code:
          type:
            - string
            - 'null'
          format: postal-code
          description: The zip code or postal code
      required:
        - address1
        - city
        - country
      title: Orders.AddressViewModel
    Orders.AddressType:
      type: string
      enum:
        - MarkFor
        - ShipFrom
      title: Orders.AddressType
    Orders.RetailerProgramDataAddressViewModel:
      type: object
      properties:
        address1:
          type: string
          description: First line of the address
        address2:
          type:
            - string
            - 'null'
          description: Second line of the address
        city:
          type: string
          description: The city
        company_name:
          type:
            - string
            - 'null'
          description: Name of the company receiving the shipment
        country:
          type: string
          description: The country (Must be ISO Alpha-2 for estimates)
        state:
          type:
            - string
            - 'null'
          description: The state or province
        zip_code:
          type:
            - string
            - 'null'
          format: postal-code
          description: The zip code or postal code
        type:
          $ref: '#/components/schemas/Orders.AddressType'
      required:
        - address1
        - city
        - country
        - type
      description: Address to used when creating a B2B/DropShip order.
      title: Orders.RetailerProgramDataAddressViewModel
    OrdersRecipientInfoViewModelAddress:
      oneOf:
        - $ref: '#/components/schemas/Orders.AddressViewModel'
        - $ref: '#/components/schemas/Orders.RetailerProgramDataAddressViewModel'
      description: Address of the recipient
      title: OrdersRecipientInfoViewModelAddress
    Orders.RecipientInfoViewModel:
      type: object
      properties:
        address:
          $ref: '#/components/schemas/OrdersRecipientInfoViewModelAddress'
          description: Address of the recipient
        email:
          type:
            - string
            - 'null'
          format: email
          description: Email address of the recipient
        name:
          type: string
          description: Name of the recipient
        phone_number:
          type:
            - string
            - 'null'
          description: Phone number of the recipient
      required:
        - address
        - name
      description: Information about the recipient of an order
      title: Orders.RecipientInfoViewModel
    Orders.RetailerProgramDataViewModel:
      type: object
      properties:
        addresses:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Orders.RetailerProgramDataAddressViewModel'
          description: "Ship From - Certain retailers want to display the ship from address as their return facility, not Shipbob’s warehouse address        /// \r\nMark For Address - Final destination address"
        customer_ticket_number:
          type:
            - string
            - 'null'
          description: Customer Ticket Number
        delivery_date:
          type:
            - string
            - 'null'
          format: date-time
          description: Expected delivery date
        department:
          type:
            - string
            - 'null'
          description: Identifies a merchant's store department
        doNotShipBeforeDate:
          type:
            - string
            - 'null'
          format: date-time
          description: The date the retailer does not want the order shipped by.
        mark_for_store:
          type:
            - string
            - 'null'
          description: Store Number
        purchase_order_number:
          type: string
          description: >-
            First initial documentation sent from buyer to seller with item(s)
            and quantities.
        retailer_program_type:
          type: string
          description: Identifies retailer-merchant combination
        shipByDate:
          type:
            - string
            - 'null'
          format: date-time
          description: The date the retailer has requested the order to ship by.
      description: >-
        Contains properties that needs to be used for fulfilling B2B/Dropship
        orders.
      title: Orders.RetailerProgramDataViewModel
    Orders.FulfillmentStatus:
      type: string
      enum:
        - AwaitingInventoryAllocation
        - AwaitingReset
        - Unavailable
        - PendingOnTime
        - FulfilledOnTime
        - PendingLate
        - FulfilledLate
      title: Orders.FulfillmentStatus
    Orders.FulfillmentCenterViewModel:
      type: object
      properties:
        id:
          type: integer
          description: Id of the fulfillment center
        name:
          type:
            - string
            - 'null'
          description: Name of the fulfillment center
      description: Information about a fulfillment center that a shipment can belong to
      title: Orders.FulfillmentCenterViewModel
    Orders.MeasurementsViewModel:
      type: object
      properties:
        depth_in:
          type: integer
          description: Total depth in inches
        length_in:
          type: integer
          description: Total length in inches
        total_weight_oz:
          type: integer
          description: Total weight in ounces
        width_in:
          type: integer
          description: Total width in inches
      description: Measurements of a shipment
      title: Orders.MeasurementsViewModel
    Orders.PackageMaterialType:
      type: string
      enum:
        - Unknown
        - Box
        - BubbleMailer
        - PolyMailer
        - FragileBox
        - PosterTube
        - Custom
        - Bookfold
        - OwnContainer
        - Undefined
      title: Orders.PackageMaterialType
    Orders.InventoryViewModel:
      type: object
      properties:
        expiration_date:
          type:
            - string
            - 'null'
          format: date-time
          description: Expiration date of the inventory
        id:
          type: integer
          description: Unique id of the inventory
        is_dangerous_goods:
          type: boolean
          description: Is inventory Dangerous Good
        lot:
          type:
            - string
            - 'null'
          description: Lot number of the inventory
        name:
          type:
            - string
            - 'null'
          description: Name of the inventory item
        quantity:
          type: integer
          description: Quantity of the inventory item to be included in the fulfillment
        quantity_committed:
          type: integer
          description: >-
            The quantity of the inventory item allocated from the assigned
            fulfillment center and committed to the order. If quantity committed
            is less than order quantity, then the inventory item is out of stock
            at the assigned fulfillment center.
        serial_numbers:
          type:
            - array
            - 'null'
          items:
            type: string
          description: Serial number of the inventory
      description: Information about inventory belonging to a store product
      title: Orders.InventoryViewModel
    Orders.ShipmentProductViewModel:
      type: object
      properties:
        id:
          type: integer
          description: Unique id of the product
        inventory_items:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Orders.InventoryViewModel'
          description: >-
            Information about fulfillable inventory items belonging to this
            product
        name:
          type:
            - string
            - 'null'
          description: Name of the product
        reference_id:
          type:
            - string
            - 'null'
          description: Unique reference id of the product
        sku:
          type:
            - string
            - 'null'
          description: Stock keeping unit for the product
      description: Information about a store product belonging to a shipment
      title: Orders.ShipmentProductViewModel
    Orders.CartonDetailsViewModel:
      type: object
      properties:
        products:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Orders.ShipmentProductViewModel'
          description: List of what is packed in this carton
      title: Orders.CartonDetailsViewModel
    Orders.CartonMeasurementsViewModel:
      type: object
      properties:
        depth_in:
          type: number
          format: double
          description: Total depth in inches
        length_in:
          type: number
          format: double
          description: Total length in inches
        total_weight_oz:
          type: number
          format: double
          description: Total weight in ounces
        width_in:
          type: number
          format: double
          description: Total width in inches
      description: Measurements of a carton
      title: Orders.CartonMeasurementsViewModel
    Orders.CartonViewModel:
      type: object
      properties:
        barcode:
          type:
            - string
            - 'null'
          description: Barcode assigned to this carton
        carton_details:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Orders.CartonDetailsViewModel'
          description: Details about the contents of this carton
        id:
          type: integer
          description: ID assigned to this carton
        measurements:
          $ref: '#/components/schemas/Orders.CartonMeasurementsViewModel'
        type:
          type:
            - string
            - 'null'
          description: Type of this carton container
      title: Orders.CartonViewModel
    Orders.ParentCartonViewModel:
      type: object
      properties:
        barcode:
          type:
            - string
            - 'null'
          description: Barcode assigned to this carton
        cartons:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Orders.CartonViewModel'
          description: Cartons packed inside this parent container
        measurements:
          $ref: '#/components/schemas/Orders.CartonMeasurementsViewModel'
        type:
          type:
            - string
            - 'null'
          description: Type of this carton container
      title: Orders.ParentCartonViewModel
    OrdersRecipientViewModelAddress:
      oneOf:
        - $ref: '#/components/schemas/Orders.AddressViewModel'
        - $ref: '#/components/schemas/Orders.RetailerProgramDataAddressViewModel'
      description: Address of the recipient
      title: OrdersRecipientViewModelAddress
    Orders.RecipientViewModel:
      type: object
      properties:
        address:
          oneOf:
            - $ref: '#/components/schemas/OrdersRecipientViewModelAddress'
            - type: 'null'
          description: Address of the recipient
        email:
          type:
            - string
            - 'null'
          format: email
          description: Email address of the recipient
        full_name:
          type:
            - string
            - 'null'
          description: FullName of the recipient
        name:
          type:
            - string
            - 'null'
          description: Name of the recipient
        phone_number:
          type:
            - string
            - 'null'
          format: tel
          description: Phone number of the recipient
      description: Information about the recipient of a shipment
      title: Orders.RecipientViewModel
    Orders.OrderStatusEnum:
      type: string
      enum:
        - None
        - Processing
        - Completed
        - Exception
        - OnHold
        - Cancelled
        - CleanSweeped
        - LabeledCreated
        - ImportReview
      title: Orders.OrderStatusEnum
    Orders.StatusInformationViewModel:
      type: object
      properties:
        validation_messages:
          type:
            - array
            - 'null'
          items:
            type: string
      title: Orders.StatusInformationViewModel
    Orders.StatusDetailViewModel:
      type: object
      properties:
        description:
          type:
            - string
            - 'null'
          description: Describes what the status detail means
        exception_fulfillment_center_id:
          type:
            - integer
            - 'null'
        extra_information:
          $ref: '#/components/schemas/Orders.StatusInformationViewModel'
        id:
          type: integer
          description: The id of the status detail
        inventory_id:
          type:
            - integer
            - 'null'
          description: Inventory Id the detail applies to (if applicable)
        name:
          type:
            - string
            - 'null'
          description: Short name of the status detail
      title: Orders.StatusDetailViewModel
    Orders.TrackingViewModel:
      type: object
      properties:
        bol:
          type:
            - string
            - 'null'
          description: >-
            Bill of lading (BOL) number. Document acknowledging receipt of cargo
            for shipment.
        carrier:
          type:
            - string
            - 'null'
          description: Carrier of the shipment
        carrier_service:
          type:
            - string
            - 'null'
          description: The carrier's service which was used for this shipment
        pro_number:
          type:
            - string
            - 'null'
          description: Tracking number used for freight carriers
        scac:
          type:
            - string
            - 'null'
          description: >-
            Standard Carrier Alpha Code (SCAC). Unique 2-4 letter code used to
            identify transportation companies.
        shipping_date:
          type:
            - string
            - 'null'
          format: date-time
          description: Date freight was shipped on
        tracking_number:
          type:
            - string
            - 'null'
          description: Tracking number of the shipment
        tracking_url:
          type:
            - string
            - 'null'
          description: URL to the website where a shipment can be tracked
      description: Tracking information for a shipment
      title: Orders.TrackingViewModel
    Orders.ShipmentViewModel:
      type: object
      properties:
        actual_fulfillment_date:
          type:
            - string
            - 'null'
          format: date-time
          description: "The datetime of ShipBob’s completion of the fulfillment operation as promised.\r\nCurrently, this means the shipment has been picked, packed, and label has been printed."
        created_date:
          type: string
          format: date-time
          description: Date this shipment was created
        delivery_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The datetime of Shipment delivered to customer.
        estimated_fulfillment_date:
          type:
            - string
            - 'null'
          format: date-time
          description: "The datetime of ShipBob’s commitment for completing\r\nthe shipment and handing to the carrier for delivery."
        estimated_fulfillment_date_status:
          $ref: '#/components/schemas/Orders.FulfillmentStatus'
        gift_message:
          type:
            - string
            - 'null'
          description: Gift message associated with the shipment
        id:
          type: integer
          description: Unique id of the shipment
        insurance_value:
          type:
            - number
            - 'null'
          format: double
          description: Monetary amount that this shipment was insured for
        invoice_amount:
          type:
            - number
            - 'null'
          format: double
          description: Monetary amount that was invoiced for this shipment
        invoice_currency_code:
          type:
            - string
            - 'null'
        is_tracking_uploaded:
          type: boolean
          description: "Indicates whether the Shipment was marked with tracking information\r\nuploaded to a third-party system where the order originated."
        last_tracking_update_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Timestamp for the last time this shipment had a tracking update
        last_update_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Date this shipment was last updated
        location:
          $ref: '#/components/schemas/Orders.FulfillmentCenterViewModel'
        measurements:
          $ref: '#/components/schemas/Orders.MeasurementsViewModel'
        order_id:
          type: integer
          description: Id of the order this shipment belongs to
        package_material_type:
          $ref: '#/components/schemas/Orders.PackageMaterialType'
        parent_cartons:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Orders.ParentCartonViewModel'
          description: Carton information for this shipment
        products:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Orders.ShipmentProductViewModel'
          description: Information about the products contained in this shipment
        recipient:
          $ref: '#/components/schemas/Orders.RecipientViewModel'
        reference_id:
          type:
            - string
            - 'null'
          description: >-
            Client-defined external unique id of the order this shipment belongs
            to
        require_signature:
          type: boolean
          description: If a shipment requires signature
        ship_option:
          type:
            - string
            - 'null'
          description: Name of the shipping option used for this shipment
        status:
          $ref: '#/components/schemas/Orders.OrderStatusEnum'
        status_details:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Orders.StatusDetailViewModel'
          description: Additional details about the shipment status
        tracking:
          $ref: '#/components/schemas/Orders.TrackingViewModel'
      description: Information about a shipment
      title: Orders.ShipmentViewModel
    Orders.CarrierShipType:
      type: string
      enum:
        - Parcel
        - Freight
      title: Orders.CarrierShipType
    Orders.PaymentShipTerm:
      type: string
      enum:
        - Collect
        - ThirdParty
        - Prepaid
        - MerchantResponsible
      title: Orders.PaymentShipTerm
    Orders.ShippingTermsViewModel:
      type: object
      properties:
        carrier_type:
          $ref: '#/components/schemas/Orders.CarrierShipType'
        payment_term:
          $ref: '#/components/schemas/Orders.PaymentShipTerm'
      description: >-
        Contains shipping properties that need to be used for fulfilling an
        order.
      title: Orders.ShippingTermsViewModel
    Orders.OrderStatus:
      type: string
      enum:
        - Processing
        - Exception
        - PartiallyFulfilled
        - Fulfilled
        - Cancelled
        - ImportReview
      title: Orders.OrderStatus
    Orders.TagViewModel:
      type: object
      properties:
        name:
          type: string
          description: The key of the tag
        value:
          type: string
          description: The value of the tag
      required:
        - name
        - value
      title: Orders.TagViewModel
    Orders.OrderType:
      type: string
      enum:
        - DTC
        - DropShip
        - B2B
      title: Orders.OrderType
    Orders.OrderViewModel:
      type: object
      properties:
        channel:
          $ref: '#/components/schemas/Orders.ChannelInfoViewModel'
        created_date:
          type: string
          format: date-time
          description: Date this order was created
        financials:
          $ref: '#/components/schemas/Orders.Financials'
        gift_message:
          type:
            - string
            - 'null'
          description: Gift message associated with the order
        id:
          type: integer
          description: Unique id of the order
        order_number:
          type:
            - string
            - 'null'
          description: >-
            User friendly orderId or store order number that will be shown on
            the Orders Page. If not provided, referenceId will be used
        products:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Orders.ProductInfoViewModel'
          description: List of products included in the order
        purchase_date:
          type:
            - string
            - 'null'
          format: date-time
          description: Date this order was purchase by the end user
        recipient:
          $ref: '#/components/schemas/Orders.RecipientInfoViewModel'
        reference_id:
          type:
            - string
            - 'null'
          description: Client-defined external unique id of the order
        retailer_program_data:
          $ref: '#/components/schemas/Orders.RetailerProgramDataViewModel'
        shipments:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Orders.ShipmentViewModel'
          description: Shipments affiliated with the order
        shipping_method:
          type:
            - string
            - 'null'
          description: Client-defined shipping method
        shipping_terms:
          $ref: '#/components/schemas/Orders.ShippingTermsViewModel'
        status:
          $ref: '#/components/schemas/Orders.OrderStatus'
        tags:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Orders.TagViewModel'
          description: Client-defined order tags
        type:
          $ref: '#/components/schemas/Orders.OrderType'
      title: Orders.OrderViewModel
    Orders.CancellationResult:
      type: string
      enum:
        - Success
        - Failure
        - PartialSuccess
      title: Orders.CancellationResult
    Orders.CanceledOrderViewModel:
      type: object
      properties:
        canceled_shipment_results:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Orders.CanceledShipmentViewModel'
          description: Results of canceling the shipments associated with the order
        order:
          $ref: '#/components/schemas/Orders.OrderViewModel'
        order_id:
          type: integer
          description: The ID of the canceled order
        status:
          $ref: '#/components/schemas/Orders.CancellationResult'
      title: Orders.CanceledOrderViewModel
    Orders.Post.Api.Order.OrderId.Cancel.Bad.Request.Object:
      type: object
      additionalProperties:
        type: array
        items:
          type: string
      title: Orders.Post.Api.Order.OrderId.Cancel.Bad.Request.Object
    Orders.Post.Api.Order.OrderId.Cancel.Unprocessable.Entity.Object:
      type: object
      additionalProperties:
        type: array
        items:
          type: string
      title: Orders.Post.Api.Order.OrderId.Cancel.Unprocessable.Entity.Object
    Orders.Post.Api.Order.OrderId.Cancel.Internal.Server.Error.Object:
      type: object
      additionalProperties:
        type: array
        items:
          type: string
      title: Orders.Post.Api.Order.OrderId.Cancel.Internal.Server.Error.Object
  securitySchemes:
    PAT:
      type: http
      scheme: bearer
      description: Authentication using Personal Access Token (PAT) token or OAuth2

```

## SDK Code Examples

```python Orders_cancelOrder_example
import requests

url = "https://api.shipbob.com/2026-01/order/orderId:cancel"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Orders_cancelOrder_example
const url = 'https://api.shipbob.com/2026-01/order/orderId:cancel';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Orders_cancelOrder_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shipbob.com/2026-01/order/orderId:cancel"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Orders_cancelOrder_example
require 'uri'
require 'net/http'

url = URI("https://api.shipbob.com/2026-01/order/orderId:cancel")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Orders_cancelOrder_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.shipbob.com/2026-01/order/orderId:cancel")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Orders_cancelOrder_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.shipbob.com/2026-01/order/orderId:cancel', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Orders_cancelOrder_example
using RestSharp;

var client = new RestClient("https://api.shipbob.com/2026-01/order/orderId:cancel");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Orders_cancelOrder_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2026-01/order/orderId:cancel")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```